%define majver %(echo %version | cut -d. -f 1-2)

Name:          gnome-disk-utility
Version:       3.18.3.1
Release:       1mamba
Summary:       GNOME disk management application
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://git.gnome.org/browse/gnome-disk-utility
Source:        http://ftp.acc.umu.se/pub/GNOME/sources/gnome-disk-utility/%{majver}/gnome-disk-utility-%{version}.tar.xz
Patch0:        gnome-disk-utility-3.8.2-gcc-4.8.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libatk-devel
BuildRequires: libbzip2-devel
BuildRequires: libcairo-devel
BuildRequires: libexpat-devel
BuildRequires: libffi-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libGL-devel
BuildRequires: libglib-devel
BuildRequires: libgtk-devel
BuildRequires: libpango-devel
BuildRequires: libpixman-devel
BuildRequires: libpng-devel
BuildRequires: libpthread-stubs-devel
BuildRequires: libselinux-devel
BuildRequires: libstdc++6-devel
BuildRequires: libX11-devel
BuildRequires: libXau-devel
BuildRequires: libxcb-devel
BuildRequires: libXdmcp-devel
BuildRequires: libXrender-devel
BuildRequires: libz-devel
BuildRequires: udev-devel
BuildRequires: udisks2-devel
## AUTOBUILDREQ-END
BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: gnome-doc-utils
BuildRequires: gnome-keyring-devel
BuildRequires: gtk-doc
BuildRequires: intltool
#BuildRequires: librarian-compat
BuildRequires: libavahi-gtk3-devel
BuildRequires: libsecret-devel
BuildRequires: libpwquality-devel
Obsoletes:     libgnome-disk-utility
Obsoletes:     libgnome-disk-utility-devel
Obsoletes:     gnome-disk-utility-nautilus
#Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
This package contains the Palimpsest disk management application.
Palimpsest supports partitioning, file system creation, encryption, RAID, SMART monitoring, etc.

%package -n lib%{name}
Summary:       Shared libraries used by Palimpsest
Group:         System/Libraries
Requires:      udisks

%description -n lib%{name}
GNOME disk management application.

This package contains static libraries and header files need for development.

%package -n lib%{name}-devel
Summary:       Devel package for lib%{name}
Group:         Development/Libraries
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
GNOME disk management application.

This package contains static libraries and header files need for development.

%package nautilus
Summary:       %{name} Nautilus extension
Group:         System/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description nautilus
GNOME disk management application.

This package contains a Nautilus extension providing formatting functionality.

%prep
%setup -q
#%patch0 -p1

%build
%configure --disable-scrollkeeper
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

#echo " " > HACKING
#
#desktop-file-install --delete-original  --dir %{buildroot}%{_datadir}/applications \
#  %{buildroot}%{_datadir}/applications/palimpsest.desktop
#
#desktop-file-install --delete-original --dir %{buildroot}%{_sysconfdir}/xdg/autostart \
#  %{buildroot}%{_sysconfdir}/xdg/autostart/gdu-notification-daemon.desktop

rm -f %{buildroot}%{_libdir}/*.*a
rm -f %{buildroot}%{_libdir}/nautilus/extensions-*.*/*.*a

%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
update-desktop-database %{_datadir}/applications &> /dev/null

%postun
update-desktop-database %{_datadir}/applications &> /dev/null


%post -n lib%{name}
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi
/sbin/ldconfig

%postun -n lib%{name}
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi
/sbin/ldconfig

%posttrans -n lib%{name}
gtk-update-icon-cache -q %{_datadir}/icons/hicolor || :

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/gnome-disk-image-mounter
%{_bindir}/gnome-disks
%{_libdir}/gnome-settings-daemon-*/gdu-sd-plugin.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-*/libgdu-sd.a
%{_libdir}/gnome-settings-daemon-*/libgdu-sd.la
%{_libdir}/gnome-settings-daemon-*/libgdu-sd.so
%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.plugins.gdu-sd.gschema.xml
#%dir %{_datadir}/gnome-disk-utility
#%{_datadir}/gnome-disk-utility/*.ui
%{_datadir}/applications/gnome-disk-image-mounter.desktop
%{_datadir}/applications/gnome-disk-image-writer.desktop
%{_datadir}/appdata/org.gnome.DiskUtility.appdata.xml
%{_datadir}/applications/org.gnome.DiskUtility.desktop
%{_datadir}/dbus-1/services/org.gnome.DiskUtility.service
%{_datadir}/glib-2.0/schemas/org.gnome.Disks.gschema.xml
%{_datadir}/icons/hicolor/scalable/apps/gnome-disks-state-standby-symbolic.svg
%{_mandir}/man1/gnome-disk-image-mounter.1.gz
%{_mandir}/man1/gnome-disks.1.gz
%{_datadir}/icons/hicolor/*x*/apps/*.png
%{_datadir}/icons/hicolor/scalable/apps/gnome-disks-symbolic.svg
%doc AUTHORS COPYING
#NEWS README

%changelog
* Fri Nov 27 2015 Automatic Build System <autodist@mambasoft.it> 3.18.3.1-1mamba
- automatic version update by autodist

* Sat Nov 07 2015 Automatic Build System <autodist@mambasoft.it> 3.18.2-1mamba
- automatic version update by autodist

* Mon Oct 12 2015 Automatic Build System <autodist@mambasoft.it> 3.18.1-1mamba
- automatic version update by autodist

* Sat Oct 10 2015 Automatic Build System <autodist@mambasoft.it> 3.18.0-1mamba
- automatic version update by autodist

* Sun May 24 2015 Automatic Build System <autodist@mambasoft.it> 3.16.2-1mamba
- automatic version update by autodist

* Thu May 14 2015 Automatic Build System <autodist@mambasoft.it> 3.16.1-1mamba
- automatic version update by autodist

* Thu Apr 09 2015 Automatic Build System <autodist@mambasoft.it> 3.16.0-1mamba
- automatic version update by autodist

* Thu Nov 13 2014 Automatic Build System <autodist@mambasoft.it> 3.14.0-1mamba
- automatic version update by autodist

* Sun Apr 20 2014 Automatic Build System <autodist@mambasoft.it> 3.12.1-1mamba
- automatic version update by autodist

* Sun Mar 30 2014 Automatic Build System <autodist@mambasoft.it> 3.12.0-1mamba
- automatic version update by autodist

* Tue Oct 29 2013 Automatic Build System <autodist@mambasoft.it> 3.10.0-1mamba
- automatic version update by autodist

* Tue Jun 04 2013 Automatic Build System <autodist@mambasoft.it> 3.8.2-1mamba
- automatic version update by autodist

* Sun Apr 07 2013 Automatic Build System <autodist@mambasoft.it> 3.8.0-1mamba
- automatic version update by autodist

* Tue Oct 09 2012 Automatic Build System <autodist@mambasoft.it> 3.6.1-1mamba
- automatic version update by autodist

* Thu Sep 20 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 3.4.1-2mamba
- obsolete libgnome-disk-utility, libgnome-disk-utility-devel and gnome-disk-utility-nautilus

* Sat Apr 21 2012 Automatic Build System <autodist@mambasoft.it> 3.4.1-1mamba
- automatic version update by autodist

* Wed Apr 04 2012 Automatic Build System <autodist@mambasoft.it> 3.4.0-1mamba
- automatic version update by autodist

* Wed Aug 24 2011 Automatic Build System <autodist@mambasoft.it> 3.0.2-1mamba
- update to 3.0.2

* Tue Aug 23 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 2.32.1-2mamba
- rebuilt in devel

* Thu Mar 03 2011 gil <puntogil@libero.it> 2.32.1-1mamba
- package created by autospec
